Solid Edge Geometry Type Library
GetBasePoint Method
Returns the coordinates of the point that is the center of the base of the referenced object.
Description
Returns the center of the base of the referenced object.
Syntax
Visual Basic
Public Sub GetBasePoint( _
   ByRef BasePoint() As Double _
) 
Parameters
BasePoint
Returns the coordinates of the point that is the center of the base of the referenced object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objBody As SolidEdgeGeometry.Body
    Dim objCylndr As SolidEdgeGeometry.Cylinder
    Dim sStatus As String
    Dim dblCylBasePt() As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create a model (CYLINDER)
    sStatus = CreateModel(objDoc:=objDoc)
    If sStatus <> "" Then
        MsgBox sStatus
        Exit Sub
    End If
    ' Getting the base point for a Cylinder
    Set objBody = objDoc.Models(1).Body
    Set objCylndr = objBody.Shells(1).Faces(3).Geometry
    Call objCylndr.GetBasePoint(BasePoint:=dblCylBasePt)


    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objBody = Nothing
    Set objCylndr = Nothing
End Sub
See Also

Cylinder Object  | Cylinder Members

Send comments on this topic.